module MessengerPigeon
  # Helper for runs from the command line
  module CLI
    module_function

    def parse_options
      options = {
        config: File.expand_path(ENV['MESSENGER_PIGEON_RC'] ||
                                 '~/.messenger-pigeon.rc')
      }
      OptionParser.new do |opts|
        opts.banner = "Usage: messenger-pigeon [options] [pigeons]"
        opts.on('-c', '--config file', 'Configuration file') do |f|
          options[:config] = f
        end
      end.parse!
      options
    end
  end
end
