require 'sequel'

module MessengerPigeon
  # Redmine source/target module
  module SQL
    # Source definition
    module Init
      attr_accessor :conn

      def initialize(options)
        @options = options
        cs = options[:connection_string]
        @conn = Sequel.connect(cs)
      end
    end

    class Source
      include Init

      def read
        @conn.fetch @options[:query]
      end
    end

    # Module mixin for redmine activeresource init
    class Target
      include Init

      def update(data)
        tbl = @conn[@options[:table].intern]
        data.each do |row|
          tbl.insert row
        end
      end

      def complete
      end
    end
  end
end
